%define anolis_release 2
Name:		xcb-util-wm
Version:	0.4.2
Release:	%{anolis_release}%{?dist}
Summary:	Client and window-manager helper library on top of libxcb
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
BuildRequires:	make
BuildRequires:  gcc
BuildRequires:	pkgconfig(xcb-util) >= 0.4.0
BuildRequires:	pkgconfig(xcb-proto) >= 1.6
BuildRequires:	m4

%description
XCB util-wm module provides the following libraries:

  - ewmh: Both client and window-manager helpers for EWMH.
  - icccm: Both client and window-manager helpers for ICCCM.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package 	devel
Summary:	Development and header files for xcb-util-vm
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util-wm.

%prep
%setup -q

%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build

%check
%make_build check

%install
%make_install

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif # licensedir
%{_libdir}/*.so.*

%files doc
%doc README.md

%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 0.4.2-2
- Rebuild for remove inappropriate build dependencies.

* Sun Oct 30 2022 Funda Wang <fundawang@yeah.net> - 0.4.2-1
- New version 0.4.2

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.1-2
- add doc package

* Wed Jul 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.1-1
- Init from upstream version 0.4.1
